##
#
# YAVLI RESILIENCE - UPDATE SCRIPT
#
# This script should be run as a Cronjob once every hour.
# It connects to our Yavli Resilience Server and retrieves an updated version
# of our AdServer code. By default it is saved into the data.json file.
# It is essential that this script is run regularly by Cron in order to keep
# our AdServer code up to date.
#
# IMPORTANT: Do NOT include this script in any public pages of your website.
# It must be run only once an hour.
#
##

require_relative "YResilience-API"

# Get the API Singleton instance
yr = YavliResilienceAPI.instance

# Call the API Update method and return result status
isSuccess = yr.refreshAdServerCode

# Print out results
if isSuccess == true then
	puts "Yavli AdServer successfully updated"
else
	puts "Could not update Yavli AdServer"

	# Print out error details if any
	puts yr.getApiStatus
end